package com.qmth.qrzk.repository.task;

import java.util.Date;

import com.qmth.qrzk.repository.user.model.Attachment;
import com.qmth.qrzk.repository.user.model.User;
import com.qmth.qrzk.repository.utils.Consts;

public class WordHistory {
	private Integer id;
	private Integer paperId;//试卷ID
	private Integer attId;//附件ID
	private String attType;//附件类型，PAPER 试卷Word；ANSWER 答案Word
	private Integer createdBy;
	private Date createdTime;
	private Attachment att;
	private String guid;
	
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}
	
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getPaperId() {
		return paperId;
	}
	public void setPaperId(Integer paperId) {
		this.paperId = paperId;
	}
	public Integer getAttId() {
		return attId;
	}
	public void setAttId(Integer attId) {
		this.attId = attId;
	}
	public String getAttType() {
		return attType;
	}
	public void setAttType(String attType) {
		this.attType = attType;
	}
	public Integer getCreatedBy() {
		return createdBy;
	}
	public User getCreatedByBean() {
		return Consts.UserMap.get(createdBy);
	}
	public void setCreatedBy(Integer createdBy) {
		this.createdBy = createdBy;
	}
	public Date getCreatedTime() {
		return createdTime;
	}
	public void setCreatedTime(Date createdTime) {
		this.createdTime = createdTime;
	}
	public Attachment getAtt() {
		return att;
	}
	public void setAtt(Attachment att) {
		this.att = att;
	}
	
}
